Allow one type signature for multiple pattern synonyms.
ClosedPublic

Authored by mpickering on Apr 5 2016, 4:03 PM.

Details

Summary

This makes pattern synonym signatures more consistent with normal
type signatures.

Test Plan

./validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
mpickering updated this revision to Diff 7191.Apr 5 2016, 4:03 PM
mpickering retitled this revision from to Allow one type signature for multiple pattern synonyms..
mpickering updated this object.
mpickering edited the test plan for this revision. (Show Details)
mpickering updated the Trac tickets for this revision.

If people think this is a good idea then I also need to make a small patch for haddock before it gets merged.

austin requested changes to this revision.Apr 6 2016, 10:33 PM
austin edited edge metadata.

I think this is fine (and consistent with normal signatures), personally. But it needs a release note entry. (Yet this isn't going to go into 8.0, so you'll have to wait on D2066 or something.)

This revision now requires changes to proceed.Apr 6 2016, 10:33 PM

Looks good to me -- thank you.

Simon

mpickering updated this revision to Diff 7941.Jun 11 2016, 4:14 PM
mpickering edited edge metadata.
  • Basic rip out
  • working
  • Add test files
  • tabs
  • test
  • Formatting
  • Formatting and comments
  • comment
  • Add test
  • Record usages
simonpj requested changes to this revision.Jun 23 2016, 11:47 AM
simonpj added a reviewer: simonpj.

I'm confused. This patch overlaps with D2179; much of it seems identical.

But the title is about allowing multiple names for a single pattern signature, which is a much more focused goal, and one I like.

So Yes to the P, Q :: patern-type idea, but I can't review it unless it's brought out as a separate patch

This revision now requires changes to proceed.Jun 23 2016, 11:47 AM

I'm confused. This patch overlaps with D2179; much of it seems identical.

But the title is about allowing multiple names for a single pattern signature, which is a much more focused goal, and one I like.

So Yes to the P, Q :: patern-type idea, but I can't review it unless it's brought out as a separate patch

Sorry Simon! It appears that I accidentally updated the wrong diff with the change to D2179.

mpickering updated this revision to Diff 8048.Jun 23 2016, 11:54 AM
mpickering edited edge metadata.

Add back correct code.

simonpj accepted this revision.Jun 24 2016, 2:39 AM
simonpj edited edge metadata.

Fine!

What about user-manual changes?

Thank you

Simon

simonpj accepted this revision.Jun 30 2016, 9:57 AM

It'd be great to land this. Only a small user manual change is reqd. Ben might you do that?

Simon

bgamari edited edge metadata.Jun 30 2016, 1:29 PM

It'd be great to land this. Only a small user manual change is reqd. Ben might you do that?

Sure.

This revision was automatically updated to reflect the committed changes.